// ClipName.JS V1.02 (C) yoshioka.teruo@nifty.com 2007-08-14
// ClipName.JS sends arguments to clipboard.
// Usage: ClipName.exe [args...]

import System;
import System.Text;
import System.Windows.Forms;

var Arguments:String[]=Environment.GetCommandLineArgs();
var sb:StringBuilder=new StringBuilder();
try{
  for(var k=1;k<Arguments.length;k++) sb.AppendLine(Arguments[k]);
  Clipboard.SetDataObject(sb.ToString(),true);
}catch(e){
  MessageBox.Show(e.ToString(),Arguments[0],MessageBoxButtons.OK,MessageBoxIcon.Exclamation);
}
