// ToClip.JS V1.02 (C) yoshioka.teruo@nifty.com 2007-08-14
// ToClip.JS sends contents of files to clipboard.
// Usage: ToClip.exe { files... | <file }

import System;
import System.IO;
import System.Text;
import System.Windows.Forms;

var Arguments:String[]=Environment.GetCommandLineArgs();
var sb:StringBuilder=new StringBuilder();
try{
  for(var k=1;k<Arguments.length;k++){
    sb.AppendLine(File.ReadAllText(Arguments[k],Encoding.GetEncoding(932)));
  }
  if(Arguments.length==1){
    sb.AppendLine(Console.In.ReadToEnd());
  }
  Clipboard.SetDataObject(sb.ToString(),true);
}catch(e){
  MessageBox.Show(e.ToString(),new FileInfo(Arguments[0]).Name,MessageBoxButtons.OK,MessageBoxIcon.Exclamation);
}
